<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lpcomp__functions" kind="group">
    <compoundname>group_lpcomp_functions</compoundname>
    <title>Functions</title>
    <innergroup refid="group__group__lpcomp__functions__syspm__callback">Low Power Callback</innergroup>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga8bd3aa3993770f07ff766dc78c610398" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf31980ad7c767f9317dd498c03f2dea0">cy_en_lpcomp_status_t</ref></type>
        <definition>cy_en_lpcomp_status_t Cy_LPComp_Init</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel, const cy_stc_lpcomp_config_t *config)</argsstring>
        <name>Cy_LPComp_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__lpcomp__config__t">cy_stc_lpcomp_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initializes LPCOMP and returns the LPCOMP register address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>LPCOMP registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the configuration structure for PDL.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_lpcomp_status_t *base checking result. If the pointer is NULL, returns error. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="92" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="433" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gaff74ff9c60f85f25ee5f058162807d06" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_LPComp_Enable</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel)</argsstring>
        <name>Cy_LPComp_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Enables the LPCOMP and sets the LPCOMP interrupt mode. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="137" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="434" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga4894c0f290bc4d135809f020878ed15b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_LPComp_Disable</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel)</argsstring>
        <name>Cy_LPComp_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Disables the LPCOMP power and sets the interrupt mode to disabled. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="164" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="155" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="435" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga5db95b315fde894d5ad522c0cbef462f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_GlobalEnable</definition>
        <argsstring>(LPCOMP_Type *base)</argsstring>
        <name>Cy_LPComp_GlobalEnable</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Activates the IP of the LPCOMP hardware block. </para>        </briefdescription>
        <detaileddescription>
<para>This API should be enabled before operating any channel of comparators. Note: Interrupts can be enabled after the block is enabled and the appropriate start-up time has elapsed: 3 us for the normal power mode; 6 us for the LP mode; 50 us for the ULP mode.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The structure of the channel pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="483" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="436" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gaba3f5bd4bb4dabab03e34e384ee6eebe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_GlobalDisable</definition>
        <argsstring>(LPCOMP_Type *base)</argsstring>
        <name>Cy_LPComp_GlobalDisable</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Deactivates the IP of the LPCOMP hardware block. </para>        </briefdescription>
        <detaileddescription>
<para>(Analog in power down, open all switches, all clocks off).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The structure of the channel pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="502" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="499" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="437" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gaaacaaed309a56a6490306af40822788c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_UlpReferenceEnable</definition>
        <argsstring>(LPCOMP_Type *base)</argsstring>
        <name>Cy_LPComp_UlpReferenceEnable</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the local reference-generator circuit. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The structure of the channel pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="520" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="517" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="438" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gaab411d8e411323193819a64488a41544" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_UlpReferenceDisable</definition>
        <argsstring>(LPCOMP_Type *base)</argsstring>
        <name>Cy_LPComp_UlpReferenceDisable</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the local reference-generator circuit. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The structure of the channel pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="538" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="535" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="439" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gadc91cd80afbb17ee87fbd38dd963ec2e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LPComp_GetCompare</definition>
        <argsstring>(LPCOMP_Type const *base, cy_en_lpcomp_channel_t channel)</argsstring>
        <name>Cy_LPComp_GetCompare</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>This function returns a nonzero value when the voltage connected to the positive input is greater than the negative input voltage. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPComp register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPComp channel index.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>LPComp compare result. The value is a nonzero value when the voltage connected to the positive input is greater than the negative input voltage. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="575" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="559" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="440" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gabf02edb4c1ca19009f2f1f1df1156afa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_LPComp_SetPower</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel, cy_en_lpcomp_pwr_t power)</argsstring>
        <name>Cy_LPComp_SetPower</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1ga807c85d836c327c00a8a5ee52d6a93e6">cy_en_lpcomp_pwr_t</ref></type>
          <declname>power</declname>
        </param>
        <briefdescription>
<para>Sets the drive power and speeds to one of the four settings. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Interrupts can be enabled after the block is enabled and the appropriate start-up time has elapsed: 3 us for the normal power mode; 6 us for the LP mode; 50 us for the ULP mode. Otherwise, unexpected interrupts events can occur.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>power</parametername>
</parameternamelist>
<parameterdescription>
<para>The power setting sets an operation mode of the component: CY_LPCOMP_OFF_POWER (=0) - Off power CY_LPCOMP_MODE_ULP (=1) - Slow/ultra low power CY_LPCOMP_MODE_LP (=2) - Medium/low power CY_LPCOMP_MODE_NORMAL(=3) - Fast/normal power</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="255" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="242" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="441" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gab3eaf7a6243e832967c6606b5f8ab368" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_LPComp_SetHysteresis</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel, cy_en_lpcomp_hyst_t hysteresis)</argsstring>
        <name>Cy_LPComp_SetHysteresis</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gada8e5d16a9fcb0b9cbad23449cdf51ab">cy_en_lpcomp_hyst_t</ref></type>
          <declname>hysteresis</declname>
        </param>
        <briefdescription>
<para>Adds the 30mV hysteresis to the comparator. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hysteresis</parametername>
</parameternamelist>
<parameterdescription>
<para>Sets an operation mode of the component CY_LPCOMP_HYST_ENABLE (=1) - Enables HYST CY_LPCOMP_HYST_DISABLE(=0) - Disable HYST.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="291" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="278" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="442" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga86039c548754145643a780320928c8f0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_LPComp_SetInputs</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel, cy_en_lpcomp_inputs_t inputP, cy_en_lpcomp_inputs_t inputN)</argsstring>
        <name>Cy_LPComp_SetInputs</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1ga3064b8f5a4564e4d002df51ee8f96962">cy_en_lpcomp_inputs_t</ref></type>
          <declname>inputP</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1ga3064b8f5a4564e4d002df51ee8f96962">cy_en_lpcomp_inputs_t</ref></type>
          <declname>inputN</declname>
        </param>
        <briefdescription>
<para>Sets the comparator input sources. </para>        </briefdescription>
        <detaileddescription>
<para>The comparator inputs can be connected to the dedicated GPIO pins or AMUXBUSA/AMUXBUSB. Additionally, the negative comparator input can be connected to the local VREF. At least one unconnected input causes a comparator undefined output.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Connection to AMUXBUSA/AMUXBUSB requires closing the additional switches which are a part of the IO system. These switches can be configured using the HSIOM-&amp;gt;AMUX_SPLIT_CTL[3] register. Refer to the appropriate Technical Reference Manual (TRM) of a device for a detailed description.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>inputP</parametername>
</parameternamelist>
<parameterdescription>
<para>Positive input selection CY_LPCOMP_SW_GPIO (0x01u) CY_LPCOMP_SW_AMUXBUSA (0x02u) - Hi-Z in hibernate mode CY_LPCOMP_SW_AMUXBUSB (0x04u) - Hi-Z in the hibernate mode.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>inputN</parametername>
</parameternamelist>
<parameterdescription>
<para>Negative input selection CY_LPCOMP_SW_GPIO (0x01u) CY_LPCOMP_SW_AMUXBUSA (0x02u) - Hi-Z in hibernate mode CY_LPCOMP_SW_AMUXBUSB (0x04u) - Hi-Z in hibernate mode CY_LPCOMP_SW_LOCAL_VREF (0x08u) - the negative input only for a crude REF.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="396" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="331" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="443" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gaa2bcd67bfc73396d4401a71989a36803" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_LPComp_SetOutputMode</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel, cy_en_lpcomp_out_t outType)</argsstring>
        <name>Cy_LPComp_SetOutputMode</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gabdb04cbeeda3390491f1927ec54754d9">cy_en_lpcomp_out_t</ref></type>
          <declname>outType</declname>
        </param>
        <briefdescription>
<para>Sets the type of the comparator DSI output. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>outType</parametername>
</parameternamelist>
<parameterdescription>
<para>Interrupt edge trigger selection CY_LPCOMP_OUT_PULSE (=0) - the DSI output with the pulse option, no bypass CY_LPCOMP_OUT_DIRECT (=1) - the bypass mode, the direct output of the comparator CY_LPCOMP_OUT_SYNC (=2) - DSI output with the level option, it is similar to the bypass mode but it is 1 cycle slow than the bypass. [DSI_LEVELx : DSI_BYPASSx] = [Bit11 : Bit10] 0 : 0 = 0x00 -&gt; Pulse (PULSE) 1 : 0 = 0x02 -&gt; Level (SYNC) x : 1 = 0x01 -&gt; Bypass (Direct).</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="438" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="425" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="444" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gac4dc8de0329cb2191b1ded546a595afe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_LPComp_SetInterruptTriggerMode</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel, cy_en_lpcomp_int_t intType)</argsstring>
        <name>Cy_LPComp_SetInterruptTriggerMode</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gab12edb4e44ead54254de2168b92b4213">cy_en_lpcomp_int_t</ref></type>
          <declname>intType</declname>
        </param>
        <briefdescription>
<para>Sets the interrupt edge-detect mode. </para>        </briefdescription>
        <detaileddescription>
<para>This also controls the value provided on the output. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Interrupts can be enabled after the block is enabled and the appropriate start-up time has elapsed: 3 us for the normal power mode; 6 us for the LP mode; 50 us for the ULP mode.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>intType</parametername>
</parameternamelist>
<parameterdescription>
<para>Interrupt edge trigger selection CY_LPCOMP_INTR_DISABLE (=0) - Disabled, no interrupt will be detected CY_LPCOMP_INTR_RISING (=1) - Rising edge CY_LPCOMP_INTR_FALLING (=2) - Falling edge CY_LPCOMP_INTR_BOTH (=3) - Both rising and falling edges.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="211" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_lpcomp.c" bodystart="195" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="445" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga3819ae37b76dcf760d1303209be7b0d0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LPComp_GetInterruptStatus</definition>
        <argsstring>(LPCOMP_Type const *base)</argsstring>
        <name>Cy_LPComp_GetInterruptStatus</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the status of 2 different LPCOMP interrupt requests. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>bit mapping information Bit 0: COMP0 Interrupt status Bit 1: COMP1 Interrupt status </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="663" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="660" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="446" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga5197f02cfc236a0280d7d18e52cfb916" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_ClearInterrupt</definition>
        <argsstring>(LPCOMP_Type *base, uint32_t interrupt)</argsstring>
        <name>Cy_LPComp_ClearInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interrupt</declname>
        </param>
        <briefdescription>
<para>Clears LPCOMP interrupts by setting each bit. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interrupt</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit 0: COMP0 Interrupt status Bit 1: COMP1 Interrupt status</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="687" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="682" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="447" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga184c461e2ee0a500e30e2ad4807603da" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_SetInterrupt</definition>
        <argsstring>(LPCOMP_Type *base, uint32_t interrupt)</argsstring>
        <name>Cy_LPComp_SetInterrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interrupt</declname>
        </param>
        <briefdescription>
<para>Sets a software interrupt request. </para>        </briefdescription>
        <detaileddescription>
<para>This function is used in the case of combined interrupt signal from the global signal reference. This function from either component instance can be used to trigger either or both software interrupts. It sets the INTR_SET interrupt mask.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interrupt</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit 0: COMP0 Interrupt status Bit 1: COMP1 Interrupt status</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="713" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="709" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="448" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga4d7116e9f4b6355d25eae13b90b7eeff" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LPComp_GetInterruptMask</definition>
        <argsstring>(LPCOMP_Type const *base)</argsstring>
        <name>Cy_LPComp_GetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns an interrupt mask. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>bit mapping information Bit 0: COMP0 Interrupt Mask Bit 1: COMP1 Interrupt Mask </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="621" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="618" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="449" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga68279aa775be86f1906f07cb077e67e4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_SetInterruptMask</definition>
        <argsstring>(LPCOMP_Type *base, uint32_t interrupt)</argsstring>
        <name>Cy_LPComp_SetInterruptMask</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interrupt</declname>
        </param>
        <briefdescription>
<para>Configures which bits of the interrupt request register will trigger an interrupt event. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interrupt</parametername>
</parameternamelist>
<parameterdescription>
<para>uint32_t interruptMask: Bit Mask of interrupts to set. Bit 0: COMP0 Interrupt Mask Bit 1: COMP1 Interrupt Mask</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="601" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="596" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="450" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1ga912aa8e2ad1b4ffaf8f4ff506969752b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LPComp_GetInterruptStatusMasked</definition>
        <argsstring>(LPCOMP_Type const *base)</argsstring>
        <name>Cy_LPComp_GetInterruptStatusMasked</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns an interrupt request register masked by an interrupt mask. </para>        </briefdescription>
        <detaileddescription>
<para>Returns the result of the bitwise AND operation between the corresponding interrupt request and mask bits.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>bit mapping information Bit 0: COMP0 Interrupt Masked Bit 1: COMP1 Interrupt Masked </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="643" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="640" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="451" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpcomp__functions_1gaa6a135c020dbeb79383da693f95a5ee7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LPComp_ConnectULPReference</definition>
        <argsstring>(LPCOMP_Type *base, cy_en_lpcomp_channel_t channel)</argsstring>
        <name>Cy_LPComp_ConnectULPReference</name>
        <param>
          <type><ref kindref="compound" refid="struct_l_p_c_o_m_p___type">LPCOMP_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpcomp__enums_1gaf3944a03ab86845a63e0b8a2d29ca1b1">cy_en_lpcomp_channel_t</ref></type>
          <declname>channel</declname>
        </param>
        <briefdescription>
<para>Connects the local reference generator output to the comparator negative input. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP register structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>channel</parametername>
</parameternamelist>
<parameterdescription>
<para>The LPCOMP channel index.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="745" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" bodystart="731" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lpcomp.h" line="452" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>